Bullet Collision Detection & Physics Library: btMinkowskiPenetrationDepthSolver Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions | List of all members
btMinkowskiPenetrationDepthSolver Class Reference

MinkowskiPenetrationDepthSolver implements bruteforce penetration depth estimation. More...

`#include <btMinkowskiPenetrationDepthSolver.h>`

Inheritance diagram for btMinkowskiPenetrationDepthSolver:
[legend]
Collaboration diagram for btMinkowskiPenetrationDepthSolver:
[legend]

## Public Member Functions
virtual bool | calcPenDepth (btSimplexSolverInterface &simplexSolver, const btConvexShape *convexA, const btConvexShape *convexB, const btTransform &transA, const btTransform &transB, btVector3 &v, btVector3 &pa, btVector3 &pb, class btIDebugDraw *debugDraw)
Public Member Functions inherited from btConvexPenetrationDepthSolver
virtual | ~btConvexPenetrationDepthSolver ()
virtual bool | calcPenDepth (btSimplexSolverInterface &simplexSolver, const btConvexShape *convexA, const btConvexShape *convexB, const btTransform &transA, const btTransform &transB, btVector3 &v, btVector3 &pa, btVector3 &pb, class btIDebugDraw *debugDraw)=0

## Static Protected Member Functions
static btVector3 * | getPenetrationDirections ()

## Detailed Description

MinkowskiPenetrationDepthSolver implements bruteforce penetration depth estimation.

Implementation is based on sampling the depth using support mapping, and using GJK step to get the witness points.

Definition at line 23 of file btMinkowskiPenetrationDepthSolver.h.

## Member Function Documentation

## ◆ calcPenDepth()

bool btMinkowskiPenetrationDepthSolver::calcPenDepth | ( | btSimplexSolverInterface & | simplexSolver,
|  | const btConvexShape * | convexA,
|  | const btConvexShape * | convexB,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | btVector3 & | v,
|  | btVector3 & | pa,
|  | btVector3 & | pb,
|  | class btIDebugDraw * | debugDraw
| ) |  |
| virtual

scale dependent

Implements btConvexPenetrationDepthSolver.

Definition at line 24 of file btMinkowskiPenetrationDepthSolver.cpp.

## ◆ getPenetrationDirections()

btVector3 * btMinkowskiPenetrationDepthSolver::getPenetrationDirections | ( |  | ) |
| staticprotected

Definition at line 288 of file btMinkowskiPenetrationDepthSolver.cpp.

The documentation for this class was generated from the following files:

- btMinkowskiPenetrationDepthSolver.h
- btMinkowskiPenetrationDepthSolver.cpp